VBOXBALLOONCTRL(1)

NAME
VBoxBalloonCtrl - x86 virtualization solution

DESCRIPTION
Oracle VM VirtualBox Watchdog3 (C) 2016 Oracle Corporation All rights reserved.

  Usage:

    /usr/lib/virtualbox/VBoxBalloonCtrl [-v|--verbose] [-h|-?|--help] [-P|--pidfile] [-F|--logfile=<file>] [-R|--logrotate=<num>] [-S|--logsize=<bytes>] [-I|--loginterval=<seconds>] [--balloon-dec=<MB>] [--balloon-groups=<string>] [--balloon-inc=<MB>] [--balloon-interval=<ms>] [--balloon-lower-limit=<MB>] [--balloon-max=<MB>] [--apimon-groups=<string[,stringN]>] [--apimon-isln-response=<cmd>] [--apimon-isln-timeout=<ms>] [--apimon-resp-timeout=<ms>]

OPTIONS
--background, -b: Run in background (daemon mode). --disable-<module>: Disables a module. See module list for built-in modules. --dryrun: Dryrun mode -- do not perform any actions. --help, -h: Print this help message and exit. --verbose, -v: --pidfile, -P: Name of the PID file which is created when the daemon was started. --logfile, -F: Name of file to write log to (no file). --logrotate, -R: Number of log files (0 disables log rotation). --logsize, -S: Maximum size of a log file to trigger rotation (bytes). --loginterval, -I: Maximum time interval to trigger log rotation (seconds). --balloon-dec Sets the ballooning decrement in MB (128 MB). --balloon-groups Sets the VM groups for ballooning (all). --balloon-inc Sets the ballooning increment in MB (256 MB). --balloon-interval Sets the check interval in ms (30 seconds). --balloon-lower-limit Sets the ballooning lower limit in MB (64 MB). --balloon-max Sets the balloon maximum limit in MB (0 MB).

    Specifying "0" means disabled ballooning.

Set "VBoxInternal/Guest/BalloonSizeMax" for a per-VM maximum ballooning size. --balloon-safety-margin Free memory when deflating a balloon in MB (1024 MB). --apimon-groups Sets the VM groups for monitoring (all),

    comma-separated list.

  --apimon-isln-response Sets the isolation response to one of:

none, pause, poweroff, save, shutdown
    (none).

--apimon-isln-timeout Sets the isolation timeout in ms (30s). --apimon-resp-timeout Sets the response timeout in ms (30s).

Use environment variable VBOXBALLOONCTRL_RELEASE_LOG for logging options.

Valid module names are: balloon, apimon